[Closed] (MENFORCER-333) Dependency convergence error in combination with CI friendly versions

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Closed] (MENFORCER-333) Dependency convergence error in combination with CI friendly versions

Robert Scholte (Jira)

     [ https://issues.apache.org/jira/browse/MENFORCER-333?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Robert Scholte closed MENFORCER-333.
------------------------------------
      Assignee: Robert Scholte
    Resolution: Cannot Reproduce

IT added with [01e7d4177f49c55ea8d457b25d2ab9ea112734bd|https://gitbox.apache.org/repos/asf?p=maven-enforcer.git;a=commit;h=01e7d4177f49c55ea8d457b25d2ab9ea112734bd] to confirm ci-friendly versions work as expected.

> Dependency convergence error in combination with CI friendly versions
> ---------------------------------------------------------------------
>
>                 Key: MENFORCER-333
>                 URL: https://issues.apache.org/jira/browse/MENFORCER-333
>             Project: Maven Enforcer Plugin
>          Issue Type: Bug
>          Components: Standard Rules
>    Affects Versions: 3.0.0-M2
>            Reporter: Andrei Ivanov
>            Assignee: Robert Scholte
>            Priority: Major
>
> Hi,
> I already had the dependency convergence rule working fine in the project when I switched to [CI friendly versions|https://maven.apache.org/maven-ci-friendly.html] and the [flatten plugin|https://www.mojohaus.org/flatten-maven-plugin/].
>  Unfortunately, the rule doesn't seem to work properly for transitive dependencies, it's not replacing the version properties with the values passed as cmd line parameters:
> {noformat}
> [INFO] --- maven-enforcer-plugin:3.0.0-M2:enforce (enforce-maven) @ user-management-impl ---
> [WARNING]
> Dependency convergence error for ch.quant:server-core:1.0.22-QP_2383 paths to dependency are:
> +-ch.quant.pos:user-management-impl:1.0.6-QP_2383
>   +-ch.quant:server-core-impl:1.0.22-QP_2383
>     +-ch.quant:server-core:1.0.22-QP_2383
> and
> +-ch.quant.pos:user-management-impl:1.0.6-QP_2383
>   +-ch.quant.pos:core-rest:1.0.6-QP_2383
>     +-ch.quant:server-core:1.0.22-SNAPSHOT
> {noformat}
> {{mvn clean install -Dchangelist=-QP_2383 -Dquant-infrastructure.changelist=-QP_2383 -DskipTests}}
> {code:xml}
> <quant-infrastructure.revision>1.0.22</quant-infrastructure.revision>
> <quant-infrastructure.changelist>-SNAPSHOT</quant-infrastructure.chan<quant.core.version>${quant-infrastructure.revision}${quant-infrastructure.changelist}</quant.core.version>
> <dependency>
>     <groupId>ch.quant</groupId>
>     <artifactId>server-core</artifactId>
>     <version>${quant.core.version}</version>
> </dependency>
> {code}
> All accross the project, this is how {{ch.quant:server-core}} is defined.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)